package com.bonus.canteen.core.order.deprecated.dto;


import com.bonus.common.houqin.constant.LeCodeUseSceneEnum;
import com.bonus.common.houqin.constant.SourceTypeEnum;

public class OrdLeCodeDTO {
   private Long s;
   private Long y;
   private Long p;
   private Long t;

   public boolean ifPersonalPay() {
      return (SourceTypeEnum.OTHER.getKey().equals(this.getS().intValue()) || SourceTypeEnum.WECHAT_SMALL_PRO.getKey().equals(this.getS().intValue())) && LeCodeUseSceneEnum.PAY.key().equals(this.getY().intValue());
   }

   public boolean ifCoupon() {
      return (SourceTypeEnum.COUPON.getKey().equals(this.getS().intValue()) || SourceTypeEnum.WECHAT_SMALL_PRO.getKey().equals(this.getS().intValue())) && LeCodeUseSceneEnum.COUPON.key().equals(this.getY().intValue());
   }

   public boolean ifTake() {
      return (SourceTypeEnum.COUPON.getKey().equals(this.getS().intValue()) || SourceTypeEnum.WECHAT_SMALL_PRO.getKey().equals(this.getS().intValue())) && LeCodeUseSceneEnum.TAKE.key().equals(this.getY().intValue());
   }

   public boolean ifFromMobile() {
      return SourceTypeEnum.WECHAT_SMALL_PRO.getKey().equals(this.getS().intValue());
   }

   public Long getS() {
      return this.s;
   }

   public Long getY() {
      return this.y;
   }

   public Long getP() {
      return this.p;
   }

   public Long getT() {
      return this.t;
   }

   public void setS(final Long s) {
      this.s = s;
   }

   public void setY(final Long y) {
      this.y = y;
   }

   public void setP(final Long p) {
      this.p = p;
   }

   public void setT(final Long t) {
      this.t = t;
   }
}
